org.eclipse.viatra.query.runtime.api

## Interface IMatchProcessor<Match extends IPatternMatch>

- All Known Implementing Classes:
    ActionContextProcessor, ActionInputProcessor, ActionOutputProcessor, ActivityEdgeInGroupProcessor, ActivityGroupContainedEdgeProcessor, ActivityGroupContainedNodeProcessor, ActivityGroupInActivityProcessor, ActivityGroupProcessor, ActivityGroupSubgroupProcessor, ActivityGroupSuperGroupProcessor, ActivityNodeActivityProcessor, ActivityNodeInGroupProcessor, ActivityNodeProcessor, AndPatternProcessor, AssociationEndTypeProcessor, AtomicEventPatternProcessor, BehaviorContextProcessor, ChildrenProcessor, ClassExtensionProcessor, ClassifierAttributeProcessor, ClassifierFeatureProcessor, ClassifierGeneralProcessor, ClassSuperClassProcessor, ComplexAndTransitionProcessor, ComplexFollowsTransitionProcessor, ComplexNotTransitionProcessor, ComplexOrTransitionProcessor, ConnectableElementEndProcessor, ConnectorKindProcessor, DeploymentTargetDeployedElementProcessor, DirectedRelationshipSourceProcessor, DirectedRelationshipTargetProcessor, ElementOwnedElementProcessor, ElementOwnerProcessor, EmptyTraceProcessor, EnabledNegativeTransitionProcessor, EnabledTransitionProcessor, EncapsulatedClassifierOwnedPortProcessor, EpsilonTransitionProcessor, EquivalentStatesProcessor, EquivalentTransitionsProcessor, EventProcessedByEventTokenProcessor, EventTokensInModelProcessor, ExtensionMetaclassProcessor, FeatureFeaturingClassifierProcessor, FinalStatesProcessor, FinishedAutomatonProcessor, FollowsPatternProcessor, GenericMatchProcessor, InitialStateProcessor, InitStateProcessor, LatestEventProcessor, MatchAppearanceJob, MatchDisappearanceJob, MatchUpdateJob, MessageMessageKindProcessor, NamedElementClientDependencyProcessor, NamedElementNamespaceProcessor, NamedElementQualifiedNameProcessor, NamespaceImportedMemberProcessor, NamespaceMemberProcessor, NamespaceOwnedMemberProcessor, NegativeTransitionProcessor, NegativeTransitionProcessor, NonUnfoldedNotTransitionProcessor, NotPatternProcessor, ObservableCollectionProcessor, OpaqueExpressionResultProcessor, OrPatternProcessor, PackageNestedPackageProcessor, PackageNestingPackageProcessor, PackageOwnedStereotypeProcessor, PackageOwnedTypeProcessor, Param2containmentProcessor, Param2edgeProcessor, Param2itemProcessor, Param2targetProcessor, PartiallyMatchedEventPatternProcessor, PropertyIsCompositeProcessor, ProtocolTransitionReferredProcessor, RedefinableElementRedefinedElementProcessor, RedefinableElementRedefinitionContextProcessor, RedefinableTemplateSignatureInheritedParameterProcessor, RelationshipRelatedElementProcessor, ResettableEventTokenProcessor, StateIsCompositeProcessor, StateIsOrthogonalProcessor, StructuredClassifierPartProcessor, StructuredClassifierRoleProcessor, TokenEntersTimedZoneProcessor, TokenInFinalStateProcessor, TokenInInitStateProcessor, TokenInTimedZoneProcessor, TokenInTrapStateProcessor, TokenLeavesTimedZoneProcessor, Trace2objectProcessor, Trace2paramProcessor, Trace2targetProcessor, TraceProcessor, TransitionWithEventTypeProcessor, TranslatedEventPatternProcessor, TrapStateProcessor, TypePackageProcessor, VertexIncomingProcessor, VertexOutgoingProcessor, ViolationCreationProcessor

      public interface IMatchProcessor<Match extends IPatternMatch>

  A "lambda" action that can be executed on each match of a pattern.

  Clients can manually implement process() in an (anonymous) class, or alternatively, extend either `GenericMatchProcessor` or the user-friendly pattern-specific generated match processor classes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(Match match)` Defines the action that is to be executed on each match.

- - ### Method Detail

    - #### process

          void process(Match match)

      Defines the action that is to be executed on each match.
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method